This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 44826 - the GUI fails to install properly and cannot be started with startx
the GUI fails to install properly and cannot be started with startx
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-17 22:53 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 11:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-17 22:53:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 (Macintosh; U; PPC)

Description of problem:
I have just installed Linuz 7.1 on my new HP Pavillion desktop computer.  The installation seems to go cleanly, but when i 
restart the computer, the GUI will not work.  I use the command "startx" and encounter the following errors: " (ii) i810:driver for 
Intel i180 chipset: i810, i180-dc, i810e, i815  (ee) no devices detected", "fatal server error: no screens found",  "xio: fatal IO 
error 104 (connection reset by server) on xserver ":0.0" after zero requests (0 known processed) with 0 events remaining".  
Also when i look inside /var/log/XFree86.0.log it says "(ww) cannot open APM".   On the advise of  your support people I have 
tried to load the agpgart module, which was not loaded.  However, after loading agpgart, and then running Xconfigurator, the I 
get the same errors. Also when i do another "lsmod", it says that agpgart had been loaded but is unused (i don't know if that is 
significant).

How reproducible:
Always

Steps to Reproduce:
1. install linux
2.start up computer
3.use the command "startx"
	

Actual Results:  the error message, which i have reproduced above, is given

Expected Results:  the GUI (X windows) should have started

Additional info:
Comment 1 Brent Fox 2001-06-21 15:39:14 EDT
Can you attach your /etc/X11/XF86Config file?
Comment 2 Need Real Name 2001-07-01 16:42:21 EDT
I cannot attach any logs or files, because the gui does not work, and so the computer cannot be attached to the internet.  Also the 
screen flashes constantly with warnings.  However, I can tell that there is no directory /etc/X11/ and no file /etc/X11/XF86Config. on my 
system when I log in as root.
Comment 3 Brent Fox 2001-07-03 11:19:46 EDT
Something's not right...I don't see how you could have X Windows installed but
not have an /etc/X11/XF86Config files.  

Can you run 'rpm -q XFree86' and see if XFree86 was even installed?
Comment 4 Brent Fox 2001-07-13 11:33:34 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.